<div>
  {{site.data.pages.signup.content}}
  <br>
<form onsubmit="return submit1(event,this)">
  <input type=text name=name placeholder="your name">
  <br><input type=email name=email placeholder="your email">
  <br><textarea name=comment placeholder="comment" style="width:100%"></textarea>
  <!--  <button class=button onclick="click1(event,this);return false">submit</button> -->
  <button type=submit class=button>submit</button>
</form>
</div>
<script src={{page.base}}js/sha256.js></script>
<script>
 var api_host = 'https://api.safewatch.xyz';
 var btn = document.getElementsByTagName('button')[0];
 // btn.addEventListener("click", click1,false);
function click1(event,args) {
    event.preventDefault();
    event.stopPropagation();
    console.log('// click1');
    console.log('event:',event);
    console.log('args:',args);
    console.log('this:',this);
    return false; /* avoid reload */
}
function submit1(event,args) {
    event.preventDefault();
    console.log('// submit1');
    console.log('event:',event);
    console.log('args:',args);
    let data = new FormData(event.target);
    console.log('data:',data);
    let values = Object.fromEntries(data.entries());
    console.log('values:',values);
    let pubkey = '{{site.data.keys.public}}';
    let nid = getNid(pubkey);
    console.log('nid:',nid);
    let formlogf = `/bpe/${nid}/${pubkey}/my/forms/quest.json`;
    let promized = mfsWrite(formlogf,values,pubkey);
    return false; /* avoid reload */
}

function mfsWrite(addr,obj,pubkey) {

  let url = api_host + `/api/v0/mfs/write?path=${addr}`;
  if (pubkey != "") { url += `&pubkey=${pubkey}`; }
  let name = 'blob.json'
  let content = JSON.stringify(obj);
  let blob = new Blob([content],{type:"application/json"});
  let form = new FormData();
  form.append('file', blob,name);

  let headers = new Headers();
  if (api_host.match('safewatch')) {
     let auth = await get_auth(apikey);
     headers.append('Authorization', `Basic ${auth}`);
  }
  let request = new Request(url,{
   method: 'POST',
   mode: 'no-cors',
   headers: headers,
   body: form });
  
  fetch(request).then(resp => resp.json()).
  then( obj => {
    document.getElementById('hash').innerHTML = `<a href="https://ipfs.safewatch.ml/ipfs/${obj.Hash}">${obj.Hash}</a>`;
    console.log('obj:',obj);
    return obj.Hash
  }).
  catch(console.error);

}

function getNid(string) {
  let sha2 = sha256(string) // return hex string
  let ns36 = BigInt('0x'+sha2).toString(36).substr(0,13)
  return ns36
}



</script>
